## gimagereader 3.3.1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
LIST(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
INCLUDE(GSettings)
SET(ENV{LC_ALL} "C")


# Project properties
PROJECT(gimagereader)
SET(PACKAGE_NAME gImageReader)
SET(PACKAGE_VERSION 3.3.1)
SET(PACKAGE_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")


# Variables
SET(INTERFACE_TYPE "qt5" CACHE STRING "Select interface type: qt4/qt5/gtk")
MESSAGE(STATUS "${INTERFACE_TYPE} interface will be built")
SET(MANUAL_DIR "share/doc/gimagereader" CACHE PATH "Path where manual will be installed")
SET(ENABLE_VERSIONCHECK 1 CACHE BOOL "Enable version check")
EXECUTE_PROCESS(COMMAND date +%a\ %b\ %d\ %Y OUTPUT_VARIABLE PACKAGE_DATE OUTPUT_STRIP_TRAILING_WHITESPACE)
EXECUTE_PROCESS(COMMAND date -R OUTPUT_VARIABLE PACKAGE_RFC_DATE OUTPUT_STRIP_TRAILING_WHITESPACE)
EXECUTE_PROCESS(COMMAND git rev-parse HEAD OUTPUT_VARIABLE PACKAGE_REVISION OUTPUT_STRIP_TRAILING_WHITESPACE)

IF(NOT IS_ABSOLUTE "${MANUAL_DIR}")
    SET(MANUAL_DIR "${CMAKE_INSTALL_PREFIX}/${MANUAL_DIR}")
ENDIF()

# Configure files
CONFIGURE_FILE(data/gimagereader.appdata.xml.in data/gimagereader-${INTERFACE_TYPE}.appdata.xml @ONLY)
CONFIGURE_FILE(packaging/gimagereader.spec.in packaging/gimagereader.spec @ONLY)
CONFIGURE_FILE(packaging/debian/changelog.in packaging/debian/changelog @ONLY)

FILE(GLOB gimagereader_HTML RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} data/manual*.html.in)
SET(manualFiles)
FOREACH(inFile ${gimagereader_HTML})
    STRING(REGEX REPLACE ".in\$" "" outFile "${inFile}")
    CONFIGURE_FILE(${inFile} ${outFile} @ONLY)
    SET(manualFiles ${manualFiles} "${CMAKE_CURRENT_BINARY_DIR}/${outFile}")
ENDFOREACH()


# Definitions
ADD_DEFINITIONS(-DPACKAGE_NAME=\"${PACKAGE_NAME}\")
ADD_DEFINITIONS(-DPACKAGE_VERSION=\"${PACKAGE_VERSION}\")
ADD_DEFINITIONS(-DPACKAGE_REVISION=\"${PACKAGE_REVISION}\")
ADD_DEFINITIONS(-DGETTEXT_PACKAGE=\"${CMAKE_PROJECT_NAME}\")
ADD_DEFINITIONS(-DENABLE_VERSIONCHECK=${ENABLE_VERSIONCHECK})
ADD_DEFINITIONS(-DMANUAL_DIR=\"${MANUAL_DIR}\")
SET(CMAKE_CXX_STANDARD 11)
SET(CXX_STANDARD_REQUIRED ON)


# Dependencies
FIND_PACKAGE(Gettext REQUIRED)
FIND_PACKAGE(PkgConfig REQUIRED)
PKG_CHECK_MODULES(TESSERACT tesseract)
PKG_CHECK_MODULES(ddjvuapi REQUIRED ddjvuapi)
PKG_CHECK_MODULES(PODOFO libpodofo)
IF(NOT TESSERACT_FOUND)
    MESSAGE(WARNING "Using hardcoded cflags and ldflags for tesseract")
    SET(TESSERACT_INCLUDE_DIRS /usr/include/tesseract)
    SET(TESSERACT_LDFLAGS -ltesseract)
ENDIF(NOT TESSERACT_FOUND)
IF(NOT PODOFO_FOUND)
  MESSAGE(WARNING "Using hardcoded cflags and ldflags for podofo")
  SET(PODOFO_INCLUDE_DIRS /usr/include/)
  SET(PODOFO_LDFLAGS -lpodofo)
ENDIF(NOT PODOFO_FOUND)
IF(UNIX)
    PKG_CHECK_MODULES(SANE sane-backends)
ENDIF(UNIX)
FIND_PROGRAM(INTLTOOL_MERGE_EXECUTABLE intltool-merge)
IF(NOT INTLTOOL_MERGE_EXECUTABLE)
    MESSAGE(FATAL_ERROR "Couldn't find intltool-merge, please install intltool")
ENDIF(NOT INTLTOOL_MERGE_EXECUTABLE)

PKG_CHECK_MODULES(ENCHANT enchant-2)
IF(ENCHANT_FOUND)
    ADD_DEFINITIONS(-DHAVE_ENCHANT2)
ELSE(ENCHANT_FOUND)
    PKG_CHECK_MODULES(ENCHANT REQUIRED enchant)
    IF(ENCHANT_VERSION VERSION_GREATER_EQUAL 2)
        ADD_DEFINITIONS(-DHAVE_ENCHANT2)
    ENDIF()
ENDIF(ENCHANT_FOUND)

INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}/common
  ${CMAKE_BINARY_DIR}
  ${TESSERACT_INCLUDE_DIRS}
  ${SANE_INCLUDE_DIRS}
  ${ENCHANT_INCLUDE_DIRS}
  ${PODOFO_INCLUDE_DIRS}
)

IF("${INTERFACE_TYPE}" STREQUAL "gtk")
    PKG_CHECK_MODULES(GTKMM REQUIRED gtkmm-3.0)
    PKG_CHECK_MODULES(GTKSOURCEVIEWMM REQUIRED gtksourceviewmm-3.0)
    PKG_CHECK_MODULES(GTKSPELLMM REQUIRED gtkspellmm-3.0>=3.0.5)
    PKG_CHECK_MODULES(CAIROMM REQUIRED cairomm-1.0)
    PKG_CHECK_MODULES(PANGOMM REQUIRED pangomm-1.4)
    PKG_CHECK_MODULES(POPPLER REQUIRED poppler-glib)
    PKG_CHECK_MODULES(JSONGLIB REQUIRED json-glib-1.0)
    PKG_CHECK_MODULES(LIBXMLPP libxml++-3.0)
    IF(LIBXMLPP_FOUND)
      ADD_DEFINITIONS(-DHAVE_LIBXMLPP_3)
    ELSE()
      PKG_CHECK_MODULES(LIBXMLPP2 REQUIRED libxml++-2.6)
      ADD_DEFINITIONS(-DHAVE_LIBXMLPP_2)
      SET(LIBXMLPP_INCLUDE_DIRS ${LIBXMLPP2_INCLUDE_DIRS})
      SET(LIBXMLPP_LDFLAGS ${LIBXMLPP2_LDFLAGS})
    ENDIF()
    PKG_CHECK_MODULES(LIBZIP REQUIRED libzip)
    FIND_PACKAGE(JPEG)
    IF(JPEG_FOUND)
        SET(LIBJPEG_INCLUDE_DIRS ${JPEG_INCLUDE_DIRS})
        SET(LIBJPEG_LDFLAGS ${JPEG_LIBRARIES})
    ELSE()
        PKG_CHECK_MODULES(LIBJPEG libjpeg)
        IF(NOT LIBJPEG_FOUND)
            MESSAGE(WARNING "Using hardcoded cflags and ldflags for libjpeg")
            SET(LIBJPEG_LDFLAGS "-ljpeg")
        ENDIF()
    ENDIF()
    PKG_CHECK_MODULES(FONTCONFIG REQUIRED fontconfig)
    PKG_CHECK_MODULES(UUID REQUIRED uuid)
    INCLUDE_DIRECTORIES(
        ${GTKMM_INCLUDE_DIRS}
        ${GTKSOURCEVIEWMM_INCLUDE_DIRS}
        ${GTKSPELLMM_INCLUDE_DIRS}
        ${CAIROMM_INCLUDE_DIRS}
        ${PANGOMM_INCLUDE_DIRS}
        ${POPPLER_INCLUDE_DIRS}
        ${JSONGLIB_INCLUDE_DIRS}
        ${LIBXMLPP_INCLUDE_DIRS}
        ${LIBJPEG_INCLUDE_DIRS}
        ${FONTCONFIG_INCLUDE_DIRS}
        ${LIBZIP_INCLUDE_DIRS}
        ${UUID_INCLUDE_DIRS}
    )
    SET(gimagereader_LIBS
        ${GTKMM_LDFLAGS}
        ${GTKSOURCEVIEWMM_LDFLAGS}
        ${GTKSPELLMM_LDFLAGS}
        ${CAIROMM_LDFLAGS}
        ${PANGOMM_LDFLAGS}
        ${POPPLER_LDFLAGS}
        ${JSONGLIB_LDFLAGS}
        ${LIBXMLPP_LDFLAGS}
        ${LIBJPEG_LDFLAGS}
        ${FONTCONFIG_LDFLAGS}
        ${LIBZIP_LDFLAGS}
        ${UUID_LDFLAGS}
    )
    SET(srcdir "gtk")
ELSEIF("${INTERFACE_TYPE}" STREQUAL "qt4")
    SET(CMAKE_AUTOMOC ON)
    FIND_PACKAGE(Qt4 REQUIRED)
    FIND_PACKAGE(QuaZip)
    IF(NOT QUAZIP_FOUND)
        FIND_PATH(QUAZIP_INCLUDE_DIR NAME quazipfile.h PATH_SUFFIXES quazip)
        FIND_LIBRARY(QUAZIP_LIBRARIES quazip)
        IF(NOT QUAZIP_INCLUDE_DIR OR NOT QUAZIP_LIBRARIES)
            MESSAGE(FATAL_ERROR "QuaZip is required but was not found")
        ENDIF()
    ENDIF()
    PKG_CHECK_MODULES(QTSPELL REQUIRED QtSpell-qt4>=0.8.0)
    PKG_CHECK_MODULES(POPPLER REQUIRED poppler-qt4)
    PKG_CHECK_MODULES(QJSON REQUIRED QJson)
    INCLUDE_DIRECTORIES(${QTSPELL_INCLUDE_DIRS} ${POPPLER_INCLUDE_DIRS} ${QJSON_INCLUDE_DIRS} ${QUAZIP_INCLUDE_DIR})
    SET(gimagereader_LIBS ${QTSPELL_LDFLAGS} ${POPPLER_LDFLAGS} ${QJSON_LDFLAGS} ${QUAZIP_LIBRARIES})
    SET(srcdir "qt")
ELSEIF("${INTERFACE_TYPE}" STREQUAL "qt5")
    SET(CMAKE_AUTOMOC ON)
    FIND_PACKAGE(Qt5DBus REQUIRED)
    FIND_PACKAGE(Qt5Network REQUIRED)
    FIND_PACKAGE(Qt5Widgets REQUIRED)
    FIND_PACKAGE(Qt5Xml REQUIRED)
    FIND_PACKAGE(Qt5PrintSupport REQUIRED)
    FIND_PACKAGE(QuaZip5)
    IF(NOT QUAZIP_FOUND)
        FIND_PATH(QUAZIP_INCLUDE_DIR NAME quazipfile.h PATH_SUFFIXES quazip5)
        FIND_LIBRARY(QUAZIP_LIBRARIES quazip5)
        IF(NOT QUAZIP_INCLUDE_DIR OR NOT QUAZIP_LIBRARIES)
            MESSAGE(FATAL_ERROR "QuaZip5 is required but was not found")
        ENDIF()
    ENDIF()
    PKG_CHECK_MODULES(QTSPELL REQUIRED QtSpell-qt5>=0.8.0)
    PKG_CHECK_MODULES(POPPLER REQUIRED poppler-qt5)
    INCLUDE_DIRECTORIES(${QTSPELL_INCLUDE_DIRS} ${POPPLER_INCLUDE_DIRS} ${QUAZIP_INCLUDE_DIR})
    SET(gimagereader_LIBS ${QTSPELL_LDFLAGS} ${POPPLER_LDFLAGS} ${QUAZIP_LIBRARIES})
    SET(srcdir "qt")
ELSE()
    MESSAGE(FATAL_ERROR "Invalid interface type ${INTERFACE_TYPE}")
ENDIF()

INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}/${srcdir}/src/
  ${CMAKE_SOURCE_DIR}/${srcdir}/src/hocr/
)

# Files
# sort lists to avoid dependency on readdir() order and make build reproducible
FILE(GLOB gimagereader_SRCS
  ${srcdir}/src/*.cc
  ${srcdir}/src/hocr/*.cc
  common/*.cc
)
LIST(SORT gimagereader_SRCS)

FILE(GLOB gimagereader_HDRS
  ${srcdir}/src/*.hh
  ${srcdir}/src/hocr/*.hh
  common/*.hh)
LIST(SORT gimagereader_HDRS)

FILE(GLOB gimagereader_FORMS ${srcdir}/data/*.ui)
LIST(SORT gimagereader_FORMS)

FILE(GLOB gimagereader_ICONS data/icons/*.png)
LIST(SORT gimagereader_ICONS)

IF("${srcdir}" STREQUAL "qt")
    FILE(GLOB gimagereader_RESOURCES qt/data/*.qrc)
    LIST(SORT gimagereader_RESOURCES)
ENDIF()
IF(UNIX)
    LIST(APPEND gimagereader_SRCS ${srcdir}/src/scanner/ScannerSane.cc)
    LIST(APPEND gimagereader_HDRS ${srcdir}/src/scanner/ScannerSane.hh)
ELSE(UNIX)
    LIST(APPEND gimagereader_SRCS ${srcdir}/src/scanner/ScannerTwain.cc)
    LIST(APPEND gimagereader_HDRS ${srcdir}/src/scanner/ScannerTwain.hh)
ENDIF(UNIX)


# Generate resources
IF("${srcdir}" STREQUAL "gtk")
    ADD_SCHEMA("gtk/data/org.gnome.gimagereader.gschema.xml")
    ADD_CUSTOM_COMMAND(
        OUTPUT  ${CMAKE_BINARY_DIR}/gimagereader.gresource.c
        COMMAND glib-compile-resources gimagereader.gresource.xml ARGS --target=${CMAKE_BINARY_DIR}/gimagereader.gresource.c --generate-source
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/gtk/data/
        DEPENDS ${gimagereader_FORMS})
    LIST(APPEND gimagereader_SRCS ${CMAKE_BINARY_DIR}/gimagereader.gresource.c)

    # Just to allow running the application from the build tree (via XDG_DATA_DIRS=$PWD:$XDG_DATA_DIRS ./gimagereader-gtk)
    ADD_CUSTOM_COMMAND(
        OUTPUT  ${CMAKE_BINARY_DIR}/glib-2.0/schemas/gschemas.compiled
        COMMAND ${CMAKE_COMMAND} ARGS -E copy ${CMAKE_SOURCE_DIR}/gtk/data/org.gnome.gimagereader.gschema.xml ${CMAKE_BINARY_DIR}/glib-2.0/schemas/org.gnome.gimagereader.gschema.xml
        COMMAND glib-compile-schemas ARGS ${CMAKE_BINARY_DIR}/glib-2.0/schemas/
        DEPENDS ${CMAKE_SOURCE_DIR}/gtk/data/org.gnome.gimagereader.gschema.xml
    )
    SET(gimagereader_RESOURCES_RCC ${CMAKE_BINARY_DIR}/glib-2.0/schemas/gschemas.compiled)

    FOREACH(form ${gimagereader_FORMS})
        GET_FILENAME_COMPONENT(outfile ${form} NAME_WE)
        SET(outfile ${CMAKE_BINARY_DIR}/ui_${outfile}.hh)
        ADD_CUSTOM_COMMAND(
            OUTPUT ${outfile}
            COMMAND python3 ARGS ${CMAKE_SOURCE_DIR}/gtk/data/uigen.py ${form}
            WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
            DEPENDS ${form}
        )
        LIST(APPEND gimagereader_FORMS_HEADERS ${outfile})
    ENDFOREACH()

ELSEIF("${srcdir}" STREQUAL "qt")
    IF("${INTERFACE_TYPE}" STREQUAL "qt4")
        QT4_ADD_RESOURCES(gimagereader_RESOURCES_RCC ${gimagereader_RESOURCES})
        SET(UIC_EXECUTABLE ${QT_UIC_EXECUTABLE})
    ELSEIF("${INTERFACE_TYPE}" STREQUAL "qt5")
        QT5_ADD_RESOURCES(gimagereader_RESOURCES_RCC ${gimagereader_RESOURCES})
        SET(UIC_EXECUTABLE Qt5::uic)
    ENDIF()

    # Custom WRAP_UI which also gettext-izes the result
    MESSAGE(${CMAKE_COMMAND})
    FOREACH(form ${gimagereader_FORMS})
        GET_FILENAME_COMPONENT(outfile ${form} NAME_WE)
        SET(outfile ${CMAKE_BINARY_DIR}/ui_${outfile}.h)
        ADD_CUSTOM_COMMAND(
            OUTPUT ${outfile}
            COMMAND ${UIC_EXECUTABLE} ARGS -o ${outfile} ${form}
            COMMAND ${CMAKE_COMMAND} ARGS -P ${CMAKE_SOURCE_DIR}/cmake/gettextizeui.cmake ${outfile}
            DEPENDS ${form}
        )
        LIST(APPEND gimagereader_FORMS_HEADERS ${outfile})
    ENDFOREACH()

    SET_PROPERTY(SOURCE ${gimagereader_FORMS_HEADERS} PROPERTY SKIP_AUTOMOC ON)
    SET_PROPERTY(SOURCE ${gimagereader_RESOURCES_RCC} PROPERTY SKIP_AUTOMOC ON)
ENDIF()


# Process translations
FILE(READ po/LINGUAS langs_string)
STRING(REGEX MATCHALL "[a-zA-Z_]+" langs "${langs_string}")
FOREACH(lang ${langs})
    CONFIGURE_FILE(po/${lang}.po ${lang}.po COPYONLY)
ENDFOREACH()
GETTEXT_PROCESS_POT_FILE(po/gimagereader.pot ALL INSTALL_DESTINATION ${PACKAGE_LOCALE_DIR} LANGUAGES ${langs})

# Process desktop file
CONFIGURE_FILE(data/gimagereader.desktop.in data/gimagereader-${INTERFACE_TYPE}.desktop.in @ONLY)
# add translations to desktop file
ADD_CUSTOM_COMMAND(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop
    COMMAND ${INTLTOOL_MERGE_EXECUTABLE} --desktop-style ${CMAKE_SOURCE_DIR}/po ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop

=== debian/changelog ===
gimagereader (3.3.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:15:03 +0100

gimagereader (3.3.1-1) unstable; urgency=medium

  * New upstream version (closes: #947591)
  * Add debian/patches/04_fix-crash-missing-lang.patch:
    - Fix crash when $LANG is not set (closes: #930642)
  * Bump Standards-Version to 4.4.1 (no changes necessary)
  * Bump debhelper compat version to 12 (no changes necessary)

 -- Philip Rinn <rinni@inventati.org>  Sat, 28 Dec 2019 12:03:29 +0100

=== debian/control ===
Source: gimagereader
Section: graphics
Priority: optional
Maintainer: Philip Rinn <rinni@inventati.org>
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 intltool (>= 0.35.0),
 libcairomm-1.0-dev,
 libdjvulibre-dev,
 libgtkmm-3.0-dev,
 libgtksourceviewmm-3.0-dev,
 libgtkspellmm-3.0-dev (>= 3.0.4),
 libjpeg-dev,
 libjson-glib-dev,
 libpangomm-1.4-dev,
 libpodofo-dev,
 libpoppler-glib-dev,
 libsane-dev,
 libtesseract-dev,
 libxml++2.6-dev,
 libzip-dev,
 python3-gi,
 uuid-dev,
Standards-Version: 4.4.1
Homepage: https://github.com/manisandro/gImageReader
Vcs-Git: https://salsa.debian.org/debian/gimagereader.git
Vcs-Browser: https://salsa.debian.org/debian/gimagereader

Package: gimagereader
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Graphical GTK+ front-end to tesseract-ocr
 gImageReader is a simple GTK+ front-end to tesseract-ocr. Tesseract is probably
 the most accurate open source optical character recognition (OCR) software and
 can recognize text in over 60 languages.
 .
 gImageReader supports automatic page layout detection but the user can also
 manually define and adjust the recognition regions. It is possible to import
 images from disk, scanning devices, clipboard and screenshots. gImageReader
 also supports multipage PDF documents. Recognized text is displayed directly
 next to the image and basic text editing including search/replace and removing
 of line breaks is possible. Spellchecking for the output text is also supported
 if the corresponding dictionaries are installed.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export V=1

## Enable compiler hardening flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DINTERFACE_TYPE=gtk -DENABLE_VERSIONCHECK=0

## gimagereader 3.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.7)
+IF(${CMAKE_VERSION} VERSION_GREATER "3.17.0")
+CMAKE_POLICY(SET CMP0100 NEW)
+ENDIF()
 LIST(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 INCLUDE(GSettings)
 SET(ENV{LC_ALL} "C")
@@ -7,12 +10,12 @@
 # Project properties
 PROJECT(gimagereader)
 SET(PACKAGE_NAME gImageReader)
-SET(PACKAGE_VERSION 3.3.1)
+SET(PACKAGE_VERSION 3.4.0)
 SET(PACKAGE_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
 
 
 # Variables
-SET(INTERFACE_TYPE "qt5" CACHE STRING "Select interface type: qt4/qt5/gtk")
+SET(INTERFACE_TYPE "qt5" CACHE STRING "Select interface type: qt5/qt6/gtk")
 MESSAGE(STATUS "${INTERFACE_TYPE} interface will be built")
 SET(MANUAL_DIR "share/doc/gimagereader" CACHE PATH "Path where manual will be installed")
 SET(ENABLE_VERSIONCHECK 1 CACHE BOOL "Enable version check")
@@ -45,7 +48,7 @@
 ADD_DEFINITIONS(-DGETTEXT_PACKAGE=\"${CMAKE_PROJECT_NAME}\")
 ADD_DEFINITIONS(-DENABLE_VERSIONCHECK=${ENABLE_VERSIONCHECK})
 ADD_DEFINITIONS(-DMANUAL_DIR=\"${MANUAL_DIR}\")
-SET(CMAKE_CXX_STANDARD 11)
+SET(CMAKE_CXX_STANDARD 14)
 SET(CXX_STANDARD_REQUIRED ON)
 
 
@@ -78,7 +81,7 @@
     ADD_DEFINITIONS(-DHAVE_ENCHANT2)
 ELSE(ENCHANT_FOUND)
     PKG_CHECK_MODULES(ENCHANT REQUIRED enchant)
-    IF(ENCHANT_VERSION VERSION_GREATER_EQUAL 2)
+    IF(${ENCHANT_VERSION} VERSION_GREATER_EQUAL 2)
         ADD_DEFINITIONS(-DHAVE_ENCHANT2)
     ENDIF()
 ENDIF(ENCHANT_FOUND)
@@ -94,7 +97,10 @@
 
 IF("${INTERFACE_TYPE}" STREQUAL "gtk")
     PKG_CHECK_MODULES(GTKMM REQUIRED gtkmm-3.0)
-    PKG_CHECK_MODULES(GTKSOURCEVIEWMM REQUIRED gtksourceviewmm-3.0)
+    PKG_CHECK_MODULES(GTKSOURCEVIEWMM gtksourceviewmm-4.0)
+    IF(NOT GTKSOURCEVIEWMM_FOUND)
+      PKG_CHECK_MODULES(GTKSOURCEVIEWMM REQUIRED gtksourceviewmm-3.0)
+    ENDIF(NOT GTKSOURCEVIEWMM_FOUND)
     PKG_CHECK_MODULES(GTKSPELLMM REQUIRED gtkspellmm-3.0>=3.0.5)
     PKG_CHECK_MODULES(CAIROMM REQUIRED cairomm-1.0)
     PKG_CHECK_MODULES(PANGOMM REQUIRED pangomm-1.4)
@@ -122,7 +128,6 @@
         ENDIF()
     ENDIF()
     PKG_CHECK_MODULES(FONTCONFIG REQUIRED fontconfig)
-    PKG_CHECK_MODULES(UUID REQUIRED uuid)
     INCLUDE_DIRECTORIES(
         ${GTKMM_INCLUDE_DIRS}
         ${GTKSOURCEVIEWMM_INCLUDE_DIRS}
@@ -135,7 +140,6 @@
         ${LIBJPEG_INCLUDE_DIRS}
         ${FONTCONFIG_INCLUDE_DIRS}
         ${LIBZIP_INCLUDE_DIRS}
-        ${UUID_INCLUDE_DIRS}
     )
     SET(gimagereader_LIBS
         ${GTKMM_LDFLAGS}
@@ -149,44 +153,35 @@
         ${LIBJPEG_LDFLAGS}
         ${FONTCONFIG_LDFLAGS}
         ${LIBZIP_LDFLAGS}
-        ${UUID_LDFLAGS}
     )
     SET(srcdir "gtk")
-ELSEIF("${INTERFACE_TYPE}" STREQUAL "qt4")
+ELSEIF("${INTERFACE_TYPE}" STREQUAL "qt5" OR "${INTERFACE_TYPE}" STREQUAL "qt6")
+    STRING(REGEX REPLACE "^qt" "" QT_VER "${INTERFACE_TYPE}")
+
     SET(CMAKE_AUTOMOC ON)
-    FIND_PACKAGE(Qt4 REQUIRED)
-    FIND_PACKAGE(QuaZip)
-    IF(NOT QUAZIP_FOUND)
-        FIND_PATH(QUAZIP_INCLUDE_DIR NAME quazipfile.h PATH_SUFFIXES quazip)
-        FIND_LIBRARY(QUAZIP_LIBRARIES quazip)
-        IF(NOT QUAZIP_INCLUDE_DIR OR NOT QUAZIP_LIBRARIES)
-            MESSAGE(FATAL_ERROR "QuaZip is required but was not found")
+    FIND_PACKAGE(Qt${QT_VER}Concurrent REQUIRED)
+    FIND_PACKAGE(Qt${QT_VER}DBus REQUIRED)
+    FIND_PACKAGE(Qt${QT_VER}Network REQUIRED)
+    FIND_PACKAGE(Qt${QT_VER}Widgets REQUIRED)
+    FIND_PACKAGE(Qt${QT_VER}Xml REQUIRED)
+    FIND_PACKAGE(Qt${QT_VER}PrintSupport REQUIRED)
+    FIND_PACKAGE(QuaZip-Qt${QT_VER} QUIET)
+    IF(QuaZip-Qt${QT_VER}_FOUND)
+      SET(QUAZIP_LIBRARIES QuaZip::QuaZip)
+    ELSE()
+        FIND_PACKAGE(QuaZip5 QUIET)
+        IF(NOT QUAZIP_FOUND)
+            FIND_PATH(QUAZIP_INCLUDE_DIR NAME quazipfile.h PATH_SUFFIXES quazip${QT_VER} QuaZip-Qt${QT_VER}-1.0/quazip QuaZip-Qt${QT_VER}-1.1/quazip QuaZip-Qt${QT_VER}-1.2/quazip)
+            FIND_LIBRARY(QUAZIP_LIBRARIES NAMES quazip${QT_VER} quazip1-qt${QT_VER})
+            IF(NOT QUAZIP_INCLUDE_DIR OR NOT QUAZIP_LIBRARIES)
+                MESSAGE(FATAL_ERROR "QuaZip${QT_VER} is required but was not found")
+            ENDIF()
         ENDIF()
+        INCLUDE_DIRECTORIES(${QUAZIP_INCLUDE_DIR})
     ENDIF()
-    PKG_CHECK_MODULES(QTSPELL REQUIRED QtSpell-qt4>=0.8.0)
-    PKG_CHECK_MODULES(POPPLER REQUIRED poppler-qt4)
-    PKG_CHECK_MODULES(QJSON REQUIRED QJson)
-    INCLUDE_DIRECTORIES(${QTSPELL_INCLUDE_DIRS} ${POPPLER_INCLUDE_DIRS} ${QJSON_INCLUDE_DIRS} ${QUAZIP_INCLUDE_DIR})
-    SET(gimagereader_LIBS ${QTSPELL_LDFLAGS} ${POPPLER_LDFLAGS} ${QJSON_LDFLAGS} ${QUAZIP_LIBRARIES})
-    SET(srcdir "qt")
-ELSEIF("${INTERFACE_TYPE}" STREQUAL "qt5")
-    SET(CMAKE_AUTOMOC ON)
-    FIND_PACKAGE(Qt5DBus REQUIRED)
-    FIND_PACKAGE(Qt5Network REQUIRED)
-    FIND_PACKAGE(Qt5Widgets REQUIRED)
-    FIND_PACKAGE(Qt5Xml REQUIRED)
-    FIND_PACKAGE(Qt5PrintSupport REQUIRED)
-    FIND_PACKAGE(QuaZip5)
-    IF(NOT QUAZIP_FOUND)
-        FIND_PATH(QUAZIP_INCLUDE_DIR NAME quazipfile.h PATH_SUFFIXES quazip5)
-        FIND_LIBRARY(QUAZIP_LIBRARIES quazip5)
-        IF(NOT QUAZIP_INCLUDE_DIR OR NOT QUAZIP_LIBRARIES)
-            MESSAGE(FATAL_ERROR "QuaZip5 is required but was not found")
-        ENDIF()
-    ENDIF()
-    PKG_CHECK_MODULES(QTSPELL REQUIRED QtSpell-qt5>=0.8.0)
-    PKG_CHECK_MODULES(POPPLER REQUIRED poppler-qt5)
-    INCLUDE_DIRECTORIES(${QTSPELL_INCLUDE_DIRS} ${POPPLER_INCLUDE_DIRS} ${QUAZIP_INCLUDE_DIR})
+    PKG_CHECK_MODULES(QTSPELL REQUIRED QtSpell-qt${QT_VER}>=0.8.0)
+    PKG_CHECK_MODULES(POPPLER REQUIRED poppler-qt${QT_VER})
+    INCLUDE_DIRECTORIES(${QTSPELL_INCLUDE_DIRS} ${POPPLER_INCLUDE_DIRS})
     SET(gimagereader_LIBS ${QTSPELL_LDFLAGS} ${POPPLER_LDFLAGS} ${QUAZIP_LIBRARIES})
     SET(srcdir "qt")
 ELSE()
@@ -264,13 +259,8 @@
     ENDFOREACH()
 
 ELSEIF("${srcdir}" STREQUAL "qt")
-    IF("${INTERFACE_TYPE}" STREQUAL "qt4")
-        QT4_ADD_RESOURCES(gimagereader_RESOURCES_RCC ${gimagereader_RESOURCES})
-        SET(UIC_EXECUTABLE ${QT_UIC_EXECUTABLE})
-    ELSEIF("${INTERFACE_TYPE}" STREQUAL "qt5")
-        QT5_ADD_RESOURCES(gimagereader_RESOURCES_RCC ${gimagereader_RESOURCES})
-        SET(UIC_EXECUTABLE Qt5::uic)
-    ENDIF()
+    QT_ADD_RESOURCES(gimagereader_RESOURCES_RCC ${gimagereader_RESOURCES})
+    SET(UIC_EXECUTABLE Qt${QT_VER}::uic)
 
     # Custom WRAP_UI which also gettext-izes the result
     MESSAGE(${CMAKE_COMMAND})
@@ -305,3 +295,10 @@
 ADD_CUSTOM_COMMAND(
     OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop
     COMMAND ${INTLTOOL_MERGE_EXECUTABLE} --desktop-style ${CMAKE_SOURCE_DIR}/po ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop
+    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop.in)
+ADD_CUSTOM_TARGET(desktop_file ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop)
+
+IF(MINGW)
+  ENABLE_LANGUAGE(RC)
+  SET(CMAKE_RC_COMPILER_INIT ${CMAKE_GENERATOR_RC})
+  SET(CMAKE_RC_COMPILE_OBJECT "<CMAKE_RC_COMPILER> -O coff -i <SOURCE> -o <OBJECT>")

=== debian/changelog ===
gimagereader (3.4.0-2) unstable; urgency=medium

  * Source-only upload to make migration to testing possible

 -- Philip Rinn <rinni@inventati.org>  Wed, 09 Feb 2022 21:12:18 +0100

gimagereader (3.4.0-1) unstable; urgency=medium

  [ Philip Rinn ]
  * New upstream version
  * Bump Standards-Version to 4.6.0.1 (no changes necessary)
  * Bump debhelper compat version to 13 (no changes necessary)
  * Drop all patches

  [ Alexander Volkov ]
  * Add packaging for the Qt 5 frontend (closes: #891414)

 -- Philip Rinn <rinni@inventati.org>  Wed, 02 Feb 2022 19:23:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Philip Rinn <rinni@inventati.org>
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  intltool (>= 0.35.0),
  libcairomm-1.0-dev,
  libdjvulibre-dev,
+ libenchant-2-dev,
  libgtkmm-3.0-dev,
  libgtksourceviewmm-3.0-dev,
  libgtkspellmm-3.0-dev (>= 3.0.4),
@@ -16,24 +17,30 @@
  libpangomm-1.4-dev,
  libpodofo-dev,
  libpoppler-glib-dev,
+ libpoppler-qt5-dev,
+ libqtspell-qt5-dev,
+ libquazip5-dev,
  libsane-dev,
  libtesseract-dev,
  libxml++2.6-dev,
  libzip-dev,
  python3-gi,
+ qtbase5-dev,
  uuid-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/manisandro/gImageReader
 Vcs-Git: https://salsa.debian.org/debian/gimagereader.git
 Vcs-Browser: https://salsa.debian.org/debian/gimagereader
+Rules-Requires-Root: no
 
 Package: gimagereader
 Architecture: any
 Depends:
+ gimagereader-common (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Graphical GTK+ front-end to tesseract-ocr
- gImageReader is a simple GTK+ front-end to tesseract-ocr. Tesseract is probably
+ gImageReader is a simple front-end to tesseract-ocr. Tesseract is probably
  the most accurate open source optical character recognition (OCR) software and
  can recognize text in over 60 languages.
  .
@@ -44,3 +51,51 @@
  next to the image and basic text editing including search/replace and removing
  of line breaks is possible. Spellchecking for the output text is also supported
  if the corresponding dictionaries are installed.
+ .
+ This package contains the GTK+ variant of gImageReader.
+
+Package: gimagereader-qt5
+Architecture: any
+Depends:
+ gimagereader-common (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Graphical Qt 5 front-end to tesseract-ocr
+ gImageReader is a simple front-end to tesseract-ocr. Tesseract is probably
+ the most accurate open source optical character recognition (OCR) software and
+ can recognize text in over 60 languages.
+ .
+ gImageReader supports automatic page layout detection but the user can also
+ manually define and adjust the recognition regions. It is possible to import
+ images from disk, scanning devices, clipboard and screenshots. gImageReader
+ also supports multipage PDF documents. Recognized text is displayed directly
+ next to the image and basic text editing including search/replace and removing
+ of line breaks is possible. Spellchecking for the output text is also supported
+ if the corresponding dictionaries are installed.
+ .
+ This package contains the Qt 5 variant of gImageReader.
+
+Package: gimagereader-common
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Replaces:
+ gimagereader (<< 3.3.1-2),
+Breaks:
+ gimagereader (<< 3.3.1-2),
+Description: gImageReader common files
+ gImageReader is a simple front-end to tesseract-ocr. Tesseract is probably
+ the most accurate open source optical character recognition (OCR) software and
+ can recognize text in over 60 languages.
+ .
+ gImageReader supports automatic page layout detection but the user can also
+ manually define and adjust the recognition regions. It is possible to import
+ images from disk, scanning devices, clipboard and screenshots. gImageReader
+ also supports multipage PDF documents. Recognized text is displayed directly
+ next to the image and basic text editing including search/replace and removing
+ of line breaks is possible. Spellchecking for the output text is also supported
+ if the corresponding dictionaries are installed.
+ .
+ This package contains common files for the GTK+ and Qt 5 variants of
+ gImageReader.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export V=1

## Enable compiler hardening flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --builddirectory=build-qt5

override_dh_auto_configure:
	dh_auto_configure -- -DINTERFACE_TYPE=gtk -DENABLE_VERSIONCHECK=0
	dh_auto_configure --builddirectory=build-qt5 -- -DINTERFACE_TYPE=qt5 -DENABLE_VERSIONCHECK=0

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-qt5

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=build-qt5

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gimagereader-$1\.tar\.gz/ \
  https://github.com/manisandro/gImageReader/releases .*/v?(\d\S*)\.tar\.gz

## gimagereader 3.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # Project properties
 PROJECT(gimagereader)
 SET(PACKAGE_NAME gImageReader)
-SET(PACKAGE_VERSION 3.4.0)
+SET(PACKAGE_VERSION 3.4.1)
 SET(PACKAGE_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")

=== debian/changelog ===
gimagereader (3.4.1-1) unstable; urgency=medium

  * New upstream version:
    - Drop all patches

 -- Philip Rinn <rinni@debian.org>  Fri, 03 Feb 2023 19:51:56 +0100

gimagereader (3.4.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2 (no changes necessary)
  * Cherry-pick two patches from upstream to fix issues with Wayland
  * Update d/watch file to cope with changed github.com API

 -- Philip Rinn <rinni@debian.org>  Mon, 19 Dec 2022 17:25:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gimagereader
 Section: graphics
 Priority: optional
-Maintainer: Philip Rinn <rinni@inventati.org>
+Maintainer: Philip Rinn <rinni@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -27,7 +27,7 @@
  python3-gi,
  qtbase5-dev,
  uuid-dev,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/manisandro/gImageReader
 Vcs-Git: https://salsa.debian.org/debian/gimagereader.git
 Vcs-Browser: https://salsa.debian.org/debian/gimagereader

## gimagereader 3.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # Project properties
 PROJECT(gimagereader)
 SET(PACKAGE_NAME gImageReader)
-SET(PACKAGE_VERSION 3.4.1)
+SET(PACKAGE_VERSION 3.4.2)
 SET(PACKAGE_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
 
 
@@ -20,6 +20,7 @@
 SET(MANUAL_DIR "share/doc/gimagereader" CACHE PATH "Path where manual will be installed")
 SET(ENABLE_VERSIONCHECK 1 CACHE BOOL "Enable version check")
 EXECUTE_PROCESS(COMMAND date +%a\ %b\ %d\ %Y OUTPUT_VARIABLE PACKAGE_DATE OUTPUT_STRIP_TRAILING_WHITESPACE)
+EXECUTE_PROCESS(COMMAND date +%Y-%m-%d OUTPUT_VARIABLE PACKAGE_ISO_DATE OUTPUT_STRIP_TRAILING_WHITESPACE)
 EXECUTE_PROCESS(COMMAND date -R OUTPUT_VARIABLE PACKAGE_RFC_DATE OUTPUT_STRIP_TRAILING_WHITESPACE)
 EXECUTE_PROCESS(COMMAND git rev-parse HEAD OUTPUT_VARIABLE PACKAGE_REVISION OUTPUT_STRIP_TRAILING_WHITESPACE)
 
@@ -48,7 +49,7 @@
 ADD_DEFINITIONS(-DGETTEXT_PACKAGE=\"${CMAKE_PROJECT_NAME}\")
 ADD_DEFINITIONS(-DENABLE_VERSIONCHECK=${ENABLE_VERSIONCHECK})
 ADD_DEFINITIONS(-DMANUAL_DIR=\"${MANUAL_DIR}\")
-SET(CMAKE_CXX_STANDARD 14)
+SET(CMAKE_CXX_STANDARD 17)
 SET(CXX_STANDARD_REQUIRED ON)
 
 
@@ -301,4 +302,3 @@
 IF(MINGW)
   ENABLE_LANGUAGE(RC)
   SET(CMAKE_RC_COMPILER_INIT ${CMAKE_GENERATOR_RC})
-  SET(CMAKE_RC_COMPILE_OBJECT "<CMAKE_RC_COMPILER> -O coff -i <SOURCE> -o <OBJECT>")

=== debian/changelog ===
gimagereader (3.4.2-7) unstable; urgency=medium

  * Build Qt variant on loong64 as well (Closes: #1095280)
  * Make sure the Qt variant is only build on supported architecures

 -- Philip Rinn <rinni@debian.org>  Fri, 07 Feb 2025 19:05:45 +0100

gimagereader (3.4.2-6) unstable; urgency=medium

  * Drop Qt6 variant of gimagereader on i386 as poppler
    dropped Qt6 support on i386.

 -- Philip Rinn <rinni@debian.org>  Mon, 20 Jan 2025 19:07:04 +0100

gimagereader (3.4.2-5) unstable; urgency=medium

  * Release to unstable

 -- Philip Rinn <rinni@debian.org>  Mon, 20 Jan 2025 17:05:07 +0100

gimagereader (3.4.2-4) experimental; urgency=medium

  * Migrate Qt variant to Qt6

 -- Philip Rinn <rinni@debian.org>  Mon, 06 Jan 2025 19:13:29 +0100

gimagereader (3.4.2-3) unstable; urgency=medium

  * Fix build with recent enchant-2 (closes: #1091007)
  * Bump Standards-Version to 4.7.0 (no changes necessary)

 -- Philip Rinn <rinni@debian.org>  Sun, 22 Dec 2024 11:15:51 +0100

gimagereader (3.4.2-2) unstable; urgency=medium

  * Make build reproducible

 -- Philip Rinn <rinni@debian.org>  Sun, 18 Feb 2024 19:24:13 +0100

gimagereader (3.4.2-1) unstable; urgency=medium

  * New upstream version

 -- Philip Rinn <rinni@debian.org>  Sun, 11 Feb 2024 22:38:58 +0100

=== debian/control ===
--- 
+++ 
@@ -17,17 +17,17 @@
  libpangomm-1.4-dev,
  libpodofo-dev,
  libpoppler-glib-dev,
- libpoppler-qt5-dev,
- libqtspell-qt5-dev,
- libquazip5-dev,
+ libpoppler-qt6-dev [amd64 arm64 armel armhf loong64 mips64el ppc64el riscv64 s390x alpha hppa hurd-any m68k powerpc ppc64 sh4 sparc64],
+ libqtspell-qt6-dev [amd64 arm64 armel armhf loong64 mips64el ppc64el riscv64 s390x alpha hppa hurd-any m68k powerpc ppc64 sh4 sparc64],
+ libquazip1-qt6-dev [amd64 arm64 armel armhf loong64 mips64el ppc64el riscv64 s390x alpha hppa hurd-any m68k powerpc ppc64 sh4 sparc64],
  libsane-dev,
  libtesseract-dev,
  libxml++2.6-dev,
  libzip-dev,
  python3-gi,
- qtbase5-dev,
+ qt6-base-dev [amd64 arm64 armel armhf loong64 mips64el ppc64el riscv64 s390x alpha hppa hurd-any m68k powerpc ppc64 sh4 sparc64],
  uuid-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/manisandro/gImageReader
 Vcs-Git: https://salsa.debian.org/debian/gimagereader.git
 Vcs-Browser: https://salsa.debian.org/debian/gimagereader
@@ -54,13 +54,15 @@
  .
  This package contains the GTK+ variant of gImageReader.
 
-Package: gimagereader-qt5
-Architecture: any
+Package: gimagereader-qt
+Architecture: amd64 arm64 armel armhf loong64 mips64el ppc64el riscv64 s390x alpha hppa hurd-any m68k powerpc ppc64 sh4 sparc64
 Depends:
  gimagereader-common (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Graphical Qt 5 front-end to tesseract-ocr
+Replaces: gimagereader-qt5 (<< 3.4.2-4~)
+Breaks: gimagereader-qt5 (<< 3.4.2-4~)
+Description: Graphical Qt front-end to tesseract-ocr
  gImageReader is a simple front-end to tesseract-ocr. Tesseract is probably
  the most accurate open source optical character recognition (OCR) software and
  can recognize text in over 60 languages.
@@ -73,7 +75,15 @@
  of line breaks is possible. Spellchecking for the output text is also supported
  if the corresponding dictionaries are installed.
  .
- This package contains the Qt 5 variant of gImageReader.
+ This package contains the Qt variant of gImageReader.
+
+Package: gimagereader-qt5
+Architecture: any
+Section: oldlibs
+Depends: gimagereader-qt [amd64 arm64 armel armhf loong64 mips64el ppc64el riscv64 s390x alpha hppa hurd-any m68k powerpc ppc64 sh4 sparc64],
+ ${misc:Depends}
+Description: transitional package
+ This is a transitional package. It can safely be removed.
 
 Package: gimagereader-common
 Architecture: all
@@ -97,5 +107,5 @@
  of line breaks is possible. Spellchecking for the output text is also supported
  if the corresponding dictionaries are installed.
  .
- This package contains common files for the GTK+ and Qt 5 variants of
+ This package contains common files for the GTK+ and Qt variants of
  gImageReader.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export V=1

## Enable compiler hardening flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Check if the Qt variant should be build
build_qt = $(shell dh_listpackages | grep "\-qt$$")

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
ifneq ($(build_qt),)
	dh_auto_clean --builddirectory=build-qt
endif

override_dh_auto_configure:
	dh_auto_configure -- -DINTERFACE_TYPE=gtk -DENABLE_VERSIONCHECK=0
ifneq ($(build_qt),)
	dh_auto_configure --builddirectory=build-qt -- -DINTERFACE_TYPE=qt6 -DENABLE_VERSIONCHECK=0
endif

override_dh_auto_build:
	dh_auto_build
ifneq ($(build_qt),)
	dh_auto_build --builddirectory=build-qt
endif

override_dh_auto_install:
	dh_auto_install
ifneq ($(build_qt),)
	dh_auto_install --builddirectory=build-qt
endif

## gimagereader 3.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.7)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
 IF(${CMAKE_VERSION} VERSION_GREATER "3.17.0")
 CMAKE_POLICY(SET CMP0100 NEW)
 ENDIF()
@@ -8,19 +8,19 @@
 
 
 # Project properties
-PROJECT(gimagereader)
+PROJECT(gimagereader C CXX)
 SET(PACKAGE_NAME gImageReader)
-SET(PACKAGE_VERSION 3.4.2)
+SET(PACKAGE_VERSION 3.4.3)
 SET(PACKAGE_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
 
 
 # Variables
-SET(INTERFACE_TYPE "qt5" CACHE STRING "Select interface type: qt5/qt6/gtk")
+SET(INTERFACE_TYPE "qt6" CACHE STRING "Select interface type: qt5/qt6/gtk")
 MESSAGE(STATUS "${INTERFACE_TYPE} interface will be built")
 SET(MANUAL_DIR "share/doc/gimagereader" CACHE PATH "Path where manual will be installed")
 SET(ENABLE_VERSIONCHECK 1 CACHE BOOL "Enable version check")
-EXECUTE_PROCESS(COMMAND date +%a\ %b\ %d\ %Y OUTPUT_VARIABLE PACKAGE_DATE OUTPUT_STRIP_TRAILING_WHITESPACE)
-EXECUTE_PROCESS(COMMAND date +%Y-%m-%d OUTPUT_VARIABLE PACKAGE_ISO_DATE OUTPUT_STRIP_TRAILING_WHITESPACE)
+string(TIMESTAMP PACKAGE_DATE "%a\ %b\ %d\ %Y" UTC)
+string(TIMESTAMP PACKAGE_ISO_DATE "%Y-%m-%d" UTC)
 EXECUTE_PROCESS(COMMAND date -R OUTPUT_VARIABLE PACKAGE_RFC_DATE OUTPUT_STRIP_TRAILING_WHITESPACE)
 EXECUTE_PROCESS(COMMAND git rev-parse HEAD OUTPUT_VARIABLE PACKAGE_REVISION OUTPUT_STRIP_TRAILING_WHITESPACE)
 
@@ -156,11 +156,21 @@
         ${LIBZIP_LDFLAGS}
     )
     SET(srcdir "gtk")
+    # Fix symbol collision
+    IF(MINGW)
+        ADD_DEFINITIONS(-DNODRAWTEXT)
+    ENDIF(MINGW)
 ELSEIF("${INTERFACE_TYPE}" STREQUAL "qt5" OR "${INTERFACE_TYPE}" STREQUAL "qt6")
     STRING(REGEX REPLACE "^qt" "" QT_VER "${INTERFACE_TYPE}")
 
     SET(CMAKE_AUTOMOC ON)
     FIND_PACKAGE(Qt${QT_VER}Concurrent REQUIRED)
+    IF(${QT_VER} STREQUAL "5")
+        IF(Qt5Concurrent_VERSION VERSION_LESS 5.15)
+	    MESSAGE(FATAL_ERROR "Qt5 version must be at least 5.15 (found ${Qt5Concurrent_VERSION})")
+	ENDIF()
+    ENDIF()
+
     FIND_PACKAGE(Qt${QT_VER}DBus REQUIRED)
     FIND_PACKAGE(Qt${QT_VER}Network REQUIRED)
     FIND_PACKAGE(Qt${QT_VER}Widgets REQUIRED)
@@ -297,8 +307,3 @@
     OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop
     COMMAND ${INTLTOOL_MERGE_EXECUTABLE} --desktop-style ${CMAKE_SOURCE_DIR}/po ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop
     DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop.in)
-ADD_CUSTOM_TARGET(desktop_file ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop)
-
-IF(MINGW)
-  ENABLE_LANGUAGE(RC)
-  SET(CMAKE_RC_COMPILER_INIT ${CMAKE_GENERATOR_RC})

=== debian/changelog ===
gimagereader (3.4.3-2) unstable; urgency=medium

  * Add patch to build against libxml++-5.0-dev (closes: #1121315)
     Thanks to Sébastien Noel for the patch.
  * Bump Standards-Version to 4.7.3 (no changes necessary)
  * Update d/watch to version 5

 -- Philip Rinn <rinni@debian.org>  Tue, 17 Feb 2026 17:22:05 +0100

gimagereader (3.4.3-1) unstable; urgency=medium

  * New upstream version:
    - Drop all patches, they are applied upstream
    - Add patch to fix c-string conversion in Gtk build
  * Bump Standards-Version to 4.7.2 (no changes necessary)

 -- Philip Rinn <rinni@debian.org>  Mon, 11 Aug 2025 18:11:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gimagereader
 Section: graphics
-Priority: optional
 Maintainer: Philip Rinn <rinni@debian.org>
 Build-Depends:
  cmake,
@@ -22,16 +21,15 @@
  libquazip1-qt6-dev [amd64 arm64 armel armhf loong64 mips64el ppc64el riscv64 s390x alpha hppa hurd-any m68k powerpc ppc64 sh4 sparc64],
  libsane-dev,
  libtesseract-dev,
- libxml++2.6-dev,
+ libxml++-5.0-dev,
  libzip-dev,
  python3-gi,
  qt6-base-dev [amd64 arm64 armel armhf loong64 mips64el ppc64el riscv64 s390x alpha hppa hurd-any m68k powerpc ppc64 sh4 sparc64],
  uuid-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/manisandro/gImageReader
 Vcs-Git: https://salsa.debian.org/debian/gimagereader.git
 Vcs-Browser: https://salsa.debian.org/debian/gimagereader
-Rules-Requires-Root: no
 
 Package: gimagereader
 Architecture: any

=== debian/watch ===
Version: 5
Template: Github
Owner: manisandro
Project: gImageReader
